/*
	NGR Converter - National Grid Reference to Latitude and Longitude
 	Copyright © 2005-2019 Harry Whitfield

 	This program is free software; you can redistribute it and/or modify it
 	under the terms of the GNU General Public License as published by the
 	Free Software Foundation; either version 2 of the License, or (at your
 	option) any later version.

 	This program is distributed in the hope that it will be useful, but
 	WITHOUT ANY WARRANTY; without even the implied warranty of
 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 	General Public License for more details.

 	You should have received a copy of the GNU General Public License along
 	with this program; if not, write to the Free Software Foundation, Inc.,
 	51 Franklin St, Fifth Floor, Boston, MA	 02110-1301	 USA

 	NGR Converter - browser version 2.1
 	29 April, 2019
 	Copyright © 2005-2019 Harry Whitfield
 	mailto:g6auc@arrl.net
*/

/*jslint browser */

/*global cookiesPermitted, setPreference */

////////////////////////////////////// save settings /////////////////////////////////////

var permitCookies;	// declared and initialised in cookies.js

var numericRefsPref;
var figuresPref;
var latLongPref;
var locatorPref;
var datumPref;

function cookieAlert() {
    "use strict";

	if (cookiesPermitted()) {
    	setPreference("numericRefsPref", (
    		numericRefsPref
     		? "1"
    		: "0"
    	));
    	setPreference("figuresPref", String(figuresPref));
    	setPreference("latLongPref", (
    		latLongPref
    		? "1"
    		: "0"
    	));
    	setPreference("locatorPref", locatorPref);
     	setPreference("datumPref", datumPref);
	}
}

//////////////////////////////////////////////////////////////////////////////////////////
